%define common_version 1.2.11+CVS
%define nte_version CVS-20020813
%define tcltk_version 8.0.3ucl8

Name: nte
Summary: Network Text Editor for shared MBONE multicasting applications
Version: 2.4
Release: 2
Group: Applications/Internet
Copyright: Distributable
Packager: Pekka Savola <psavola@csc.fi>
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/nte/
Source0: http://www-mice.cs.ucl.ac.uk/multimedia/software/%{name}/%{version}/%{name}-%{nte_version}.tgz 
Source1: http://www-mice.cs.ucl.ac.uk/multimedia/software/common/common-%{common_version}.tgz 
Source2: http://www-mice.cs.ucl.ac.uk/multimedia/software/tk/tk-%{tcltk_version}.tar.gz
Source3: http://www-mice.cs.ucl.ac.uk/multimedia/software/tcl/tcl-%{tcltk_version}.tar.gz
Patch0: nte-2.4-tcltk.patch
Patch1: nte-2.4-socketinit.diff
Patch2: common-autoconf253.patch
BuildRoot: /var/tmp/%{name}-root
#Requires: tcl tk
#BuildPreReq: tcl tk
ExclusiveArch: i386
%description
NTE is a shared text editor designed for use on the Mbone. It is not a word
processor (it is not clear that word processing is a useful task to share)
and it is not a whiteboard.

%prep
%setup -q -n nte -b 1 -b 2 -b 3

cd ..

%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

cd ../tcl-8.0/unix
%configure
make

cd ../../tk-8.0/unix
%configure
make

cd ../../common
autoconf
%configure --enable-ipv6
make

cd ../nte/linux
%configure --enable-ipv6
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p linux/nte $RPM_BUILD_ROOT%{_bindir}

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/CHANGES src/KNOWN_BUGS src/help/*.html
%{_bindir}/nte

%changelog
* Mon Apr  7 2003 Pekka Savola <psavola@csc.fi>
- patch common/configure.in to build with autoconf >= 2.53

* Tue Aug 13 2002 Pekka Savola <psavola@csc.fi>
- Initial build with NTE 2.4 from CVS and common-1.2.11
- Links to Tcl/Tk-8.0ucl8 statically as they use their own TkCanvas code :-( 
- Add a patch to avoid segfault when using v6 address on v4 system.
